{
	"name": "osit-aether-app-svelte",
	"version": "3.9.6",
	"description": "One Sky IT's Aether App created with Svelte, SvelteKit, Tailwind CSS, Lucide, Font Awesome, and Skeleton UI. -Scott Idem",
	"homepage": "https://oneskyit.com/",
	"private": true,
	"scripts": {
		"dev": "vite dev",
		"build": "vite build",
		"build:prod": "cp .env.prod .env.production && vite build",
		"build:staging": "cp .env.staging .env.production && vite build",
		"preview": "vite preview",
		"test": "npm run test:integration && npm run test:unit",
		"check": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json",
		"check:watch": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json --watch",
		"lint": "prettier --check . && eslint .",
		"format": "prettier --write .",
		"test:integration": "playwright test",
		"test:unit": "vitest"
	},
	"devDependencies": {
		"@eslint/js": "^9.39.1",
		"@playwright/test": "^1.28.1",
		"@skeletonlabs/skeleton": "^3.1.3",
		"@skeletonlabs/skeleton-svelte": "^1.2.3",
		"@sveltejs/adapter-auto": "^6.0.0",
		"@sveltejs/adapter-node": "^5.0.0",
		"@sveltejs/adapter-static": "^3.0.1",
		"@sveltejs/kit": "^2.5.0",
		"@sveltejs/vite-plugin-svelte": "^5.0.0",
		"@tailwindcss/forms": "^0.5.7",
		"@tailwindcss/typography": "^0.5.10",
		"@tiptap/core": "^2.10.3",
		"@tiptap/extension-bubble-menu": "^2.10.3",
		"@tiptap/extension-code-block-lowlight": "^2.10.3",
		"@tiptap/extension-color": "^2.10.3",
		"@tiptap/extension-highlight": "^2.10.3",
		"@tiptap/extension-image": "^2.10.3",
		"@tiptap/extension-link": "^2.10.3",
		"@tiptap/extension-subscript": "^2.10.3",
		"@tiptap/extension-superscript": "^2.10.3",
		"@tiptap/extension-table": "^2.10.3",
		"@tiptap/extension-table-cell": "^2.10.3",
		"@tiptap/extension-table-header": "^2.10.3",
		"@tiptap/extension-table-row": "^2.10.3",
		"@tiptap/extension-task-item": "^2.10.3",
		"@tiptap/extension-task-list": "^2.10.3",
		"@tiptap/extension-text": "^2.10.3",
		"@tiptap/extension-text-align": "^2.10.3",
		"@tiptap/extension-text-style": "^2.10.3",
		"@tiptap/extension-typography": "^2.10.3",
		"@tiptap/extension-underline": "^2.10.3",
		"@tiptap/pm": "^2.10.3",
		"@tiptap/starter-kit": "^2.10.3",
		"@types/eslint": "^9.0.0",
		"@types/node": "^24.0.0",
		"@types/qrcode": "^1.5.5",
		"@typescript-eslint/eslint-plugin": "^8.0.0",
		"@typescript-eslint/parser": "^8.0.0",
		"bits-ui": "^2.0.0",
		"clsx": "^2.1.1",
		"eslint": "^9.0.0",
		"eslint-config-prettier": "^10.0.0",
		"eslint-plugin-svelte": "^3.0.0",
		"flowbite": "^3.0.0",
		"globals": "^16.5.0",
		"highlight.js": "^11.10.0",
		"lowlight": "^3.2.0",
		"mode-watcher": "^1.0.0",
		"prettier": "^3.1.1",
		"prettier-plugin-svelte": "^3.1.2",
		"sass-embedded": "^1.81.0",
		"svelte": "^5.0.0",
		"svelte-awesome-color-picker": "^4.0.0",
		"svelte-check": "^4.0.0",
		"svelte-highlight": "^7.8.4",
		"svelte-idle": "^3.0.1",
		"svelte-tiptap": "^2.1.0",
		"tailwind-merge": "^3.0.0",
		"tailwind-variants": "^2.1.0",
		"tailwindcss": "^4.1.10",
		"tailwindcss-animate": "^1.0.7",
		"tslib": "^2.4.1",
		"typescript": "^5.0.0",
		"typescript-svelte-plugin": "^0.3.50",
		"vite": "^6.0.0",
		"vitest": "^3.0.0"
	},
	"vitest": {
		"exclude": [
			"tests"
		]
	},
	"type": "module",
	"dependencies": {
		"@codemirror/commands": "^6.8.1",
		"@codemirror/gutter": "^0.19.9",
		"@codemirror/lang-css": "^6.3.1",
		"@codemirror/lang-html": "^6.4.9",
		"@codemirror/lang-javascript": "^6.2.3",
		"@codemirror/lang-json": "^6.0.1",
		"@codemirror/lang-markdown": "^6.3.2",
		"@codemirror/language": "^6.11.0",
		"@codemirror/language-data": "^6.5.1",
		"@codemirror/theme-one-dark": "^6.1.2",
		"@codemirror/view": "^6.36.8",
		"@floating-ui/dom": "^1.6.0",
		"@lucide/svelte": "0.*.0",
		"@popperjs/core": "^2.11.0",
		"@tailwindcss/vite": "^4.1.10",
		"@tiptap/extension-bullet-list": "^2.10.2",
		"@tiptap/extension-document": "^2.10.2",
		"@tiptap/extension-history": "^2.10.2",
		"@tiptap/extension-paragraph": "^2.10.2",
		"axios": "^1.7.0",
		"codemirror": "^6.0.1",
		"dayjs": "^1.11.10",
		"dexie": "^4.0.0",
		"flowbite-svelte": "^1.7.0",
		"html5-qrcode": "^2.3.8",
		"lucide-svelte": "0.*.0",
		"marked": "^16.0.0",
		"openai": "^5.20.1",
		"qrcode": "^1.5.4",
		"shadcn-svelte": "^1.0.0",
		"svelte-persisted-store": "^0.12.0",
		"typescript-eslint": "^8.47.0"
	}
}
